> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.fynapse.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.fynapse.app/_mcp/server.

# Configuration Data via API

> Learn how to use the Fynapse REST API managing Fynapse configuration

## Overview

Bulk operations allow you to manage Fynapse configuration. With these endpoints you can upload and download an entire Fynapse configuration in the form of Configuration Data JSON structure, or wipe the system.

> **Info**
>
> To learn about the structure of the Configuration Data JSON refer to [Configuration Data](/documentation/instance-management/configuration-data).

## Managing Fynapse Configuration Using REST API

### Process Diagram

The diagram below illustrates the flow of API calls during bulk operations:

### Example

This example refers to numbered steps on the diagram above.

#### Downloading Fynapse Configuration

You can download the configuration of your Fynapse (1) instance by using the **Get the Fynapse configuration** endpoint. You will receive the configuration in the form of Configuration Data in JSON structure:

### Response (200)

```json
{
  "configuration": {
    "accountLookups": [
      {
        "accountLookupPatterns": [
          {
            "account": "111"
          }
        ],
        "postingCode": "test posting code CR"
      },
      {
        "accountLookupPatterns": [
          {
            "account": "222"
          }
        ],
        "postingCode": "test posting code DR"
      }
    ],
    "accountingConfigurations": [
      {
        "businessCalendarName": "Test Business Calendar",
        "description": "IFRS description",
        "dimensionSetName": "Test Dimension Set",
        "fiscalCalendarName": "Test Fiscal Calendar",
        "name": "IFRS"
      }
    ],
    "businessCalendars": [
      {
        "effectiveFrom": "1900-01-01",
        "effectiveTo": "2099-12-31",
        "name": "Test Business Calendar",
        "status": "ACTIVE"
      }
    ],
    "businessDateSettings": {
      "businessDateShift": 0
    },
    "businessEventDefinition": {
      "active": true,
      "attributes": [
        {
          "label": "Event Type Label",
          "name": "eventTypeName",
          "role": "event_type",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Effective Date Label",
          "name": "effectiveDateName",
          "role": "effective_date",
          "source": "input",
          "type": "date"
        },
        {
          "label": "Amount Type Label",
          "name": "transactionAmountName",
          "role": "attribute",
          "source": "input",
          "type": "decimal"
        },
        {
          "label": "Currency Label",
          "name": "transactionCurrencyName",
          "role": "attribute",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Subledger Node Label",
          "name": "customSubledgerNodeName",
          "role": "node",
          "source": "input",
          "type": "text"
        }
      ],
      "effectiveFrom": "2023-04-05"
    },
    "businessEventTypes": [
      {
        "description": "IRSTRADE description",
        "name": "IRSTRADE"
      },
      {
        "description": "IRSTRADE_REV description",
        "name": "IRSTRADE_REV"
      }
    ],
    "dimensionSets": [
      {
        "attributes": [
          "customAccountingConfig",
          "customAccount",
          "customTransactionCurrency",
          "customSubledgerNodeName"
        ],
        "description": "Test Dimension Set description",
        "name": "Test Dimension Set"
      }
    ],
    "entities": [
      {
        "attributes": [
          {
            "label": "Event Type Label",
            "mandatory": true,
            "name": "EventTypeName",
            "source": "input",
            "type": {
              "primitive": "TEXT",
              "typeName": "PrimitiveType"
            }
          },
          {
            "label": "Effective Date Label",
            "mandatory": true,
            "name": "effectiveDateName",
            "source": "input",
            "type": {
              "primitive": "DATE",
              "typeName": "PrimitiveType"
            }
          },
          {
            "label": "Amount Type Label",
            "mandatory": true,
            "name": "transactionAmountName",
            "source": "input",
            "type": {
              "primitive": "DECIMAL",
              "typeName": "PrimitiveType"
            }
          },
          {
            "label": "Currency Label",
            "mandatory": true,
            "name": "transactionCurrencyName",
            "source": "input",
            "type": {
              "primitive": "TEXT",
              "typeName": "PrimitiveType"
            }
          },
          {
            "label": "Custom Subledger Node Label",
            "mandatory": true,
            "name": "customSubledgerNodeName",
            "source": "input",
            "type": {
              "primitive": "TEXT",
              "typeName": "PrimitiveType"
            }
          }
        ],
        "description": "Transaction Entity For Flow",
        "name": "TransactionEntityForFlow",
        "namespace": "fynapse",
        "temporalityType": "Transaction",
        "type": "DefinedEntity"
      }
    ],
    "featureFlags": {
      "extracts-in-bulk": false,
      "flow": true,
      "flow-assistant": true,
      "posting-date-override": false
    },
    "fiscalCalendars": [
      {
        "active": true,
        "effectiveFrom": "2024-12-23",
        "endOfFirstYear": "2019-12-31",
        "name": "Test Fiscal Calendar",
        "startYear": 2019,
        "type": "gregorian"
      }
    ],
    "flows": [
      {
        "graph": {
          "edges": {
            "6ace1605-e6dc-46e9-a237-32a334ce09d9": [
              "1b2670bc-b718-4f4d-873c-92d535a479fd"
            ],
            "8e7789cc-03ef-4aa3-9c2d-6b5143b4727b": [
              "6ace1605-e6dc-46e9-a237-32a334ce09d9"
            ],
            "8f62cb96-a738-4a2b-a427-83043837019a": [
              "8e7789cc-03ef-4aa3-9c2d-6b5143b4727b"
            ]
          },
          "nodes": {
            "1b2670bc-b718-4f4d-873c-92d535a479fd": {
              "x": 915,
              "y": 120,
              "step": {
                "name": "JournalProcessor",
                "type": "JournalProcessor"
              }
            },
            "6ace1605-e6dc-46e9-a237-32a334ce09d9": {
              "x": 615,
              "y": 120,
              "step": {
                "mapping": [
                  {
                    "contextMapping": true,
                    "source": {
                      "group": "INPUT",
                      "path": []
                    },
                    "target": {
                      "path": []
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "INPUT",
                      "path": [
                        "EventTypeName"
                      ]
                    },
                    "target": {
                      "path": [
                        "eventTypeName"
                      ]
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "INPUT",
                      "path": [
                        "effectiveDateName"
                      ]
                    },
                    "target": {
                      "path": [
                        "effectiveDateName"
                      ]
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "INPUT",
                      "path": [
                        "transactionAmountName"
                      ]
                    },
                    "target": {
                      "path": [
                        "transactionAmountName"
                      ]
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "SCRIPT",
                      "path": [
                        "CurrencyLabel"
                      ]
                    },
                    "target": {
                      "path": [
                        "transactionCurrencyName"
                      ]
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "INPUT",
                      "path": [
                        "customSubledgerNodeName"
                      ]
                    },
                    "target": {
                      "path": [
                        "customSubledgerNodeName"
                      ]
                    }
                  }
                ],
                "name": "AccountingEngine",
                "type": "AccountingEngine"
              }
            },
            "8e7789cc-03ef-4aa3-9c2d-6b5143b4727b": {
              "x": 300,
              "y": 120,
              "step": {
                "name": "Script",
                "outputDefinition": [
                  {
                    "name": "CurrencyLabel",
                    "type": {
                      "primitive": "TEXT",
                      "type": "Primitive"
                    }
                  }
                ],
                "script": "from decimal import Decimal\r\ninput.transactionAmountName += Decimal('20.000')\r\ncurrencyLabel = \"PLN\"\r\npublish(\"CurrencyLabel\", currencyLabel)",
                "type": "Script"
              }
            },
            "8f62cb96-a738-4a2b-a427-83043837019a": {
              "x": 0,
              "y": 120,
              "step": {
                "name": "Input",
                "source": {
                  "name": "TransactionEntityForFlow",
                  "namespace": "fynapse"
                },
                "type": "Input"
              }
            }
          }
        },
        "name": "Flow",
        "versionStatus": "Published"
      }
    ],
    "journalDefinition": {
      "active": true,
      "effectiveFrom": "2023-04-05",
      "fields": [
        {
          "label": "Custom Core Date Label",
          "name": "customCoreDate",
          "role": "coreDate",
          "source": "input",
          "type": "date"
        },
        {
          "label": "Custom Journal Type Label",
          "name": "customJournalType",
          "role": "journalType",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Accounting Config Label",
          "name": "customAccountingConfig",
          "role": "accountingConfig",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Account Label",
          "name": "customAccount",
          "role": "account",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Transaction Amount Label",
          "name": "customTransactionAmount",
          "role": "transactionAmount",
          "source": "input",
          "type": "amount"
        },
        {
          "label": "Custom Transaction Currency Label",
          "name": "customTransactionCurrency",
          "role": "transactionCurrency",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Journal Id Label",
          "name": "customJournalId",
          "role": "journalId",
          "source": "input",
          "type": "uuid"
        },
        {
          "label": "Custom Journal Line Id Label",
          "name": "customJournalLineId",
          "role": "lineId",
          "source": "input",
          "type": "uuid"
        },
        {
          "label": "Custom Reverses Label",
          "name": "customReverses",
          "role": "reverses",
          "source": "input",
          "type": "uuid"
        },
        {
          "label": "Custom Reversed by Label",
          "name": "customReversedBy",
          "role": "reversedBy",
          "source": "input",
          "type": "uuid"
        },
        {
          "label": "Custom Journal Line No",
          "name": "customJournalLineNo",
          "role": "journalLineNo",
          "source": "input",
          "type": "integer"
        },
        {
          "label": "Custom Ingestion Id Label",
          "name": "customIngestionId",
          "role": "ingestionId",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Origin Journal Id",
          "name": "customOriginJournalId",
          "role": "originJournalId",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Origin Journal Line Id",
          "name": "customOriginJournalLineId",
          "role": "originJournalLineId",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Subledger Node Label",
          "name": "customSubledgerNodeName",
          "role": "node",
          "source": "input",
          "type": "text"
        }
      ],
      "primaryKeys": [
        "customJournalId",
        "customJournalLineId"
      ]
    },
    "journalTypes": [
      {
        "behavior": "PERMANENT",
        "code": "Test Permanent Journal Type",
        "description": "Test Permanent Journal Type description"
      },
      {
        "behavior": "REVERSING",
        "code": "Test Reversal Journal Type",
        "description": "Reversing Next day description",
        "reversingDate": "NEXT_DAY"
      }
    ],
    "nodeValues": [
      {
        "fieldName": "customSubledgerNodeName",
        "values": [
          "Custom Subledger Node Label element 1",
          "Custom Subledger Node Label element 2"
        ]
      }
    ],
    "nodes": [
      {
        "fields": {
          "customSubledgerNodeName": "Custom Subledger Node Label element 1"
        },
        "nodeConfigs": [
          {
            "accountingConfigName": "IFRS",
            "graceDays": 0,
            "graceHours": 0,
            "overridePostingDate": "none"
          }
        ],
        "timeZone": "Europe/Warsaw"
      }
    ],
    "postingComponentIdentifications": [
      {
        "businessEventTypeName": "IRSTRADE",
        "postingComponents": [
          {
            "postingComponentCode": "PLFEES"
          }
        ]
      },
      {
        "businessEventTypeName": "IRSTRADE_REV",
        "postingComponents": [
          {
            "postingComponentCode": "Reversing posting component name"
          }
        ]
      }
    ],
    "postingComponents": [
      {
        "accountingConfigName": "IFRS",
        "code": "PLFEES",
        "description": "PLFEES description",
        "journalType": "Test Permanent Journal Type",
        "postingPatterns": [
          {
            "amountField": "transactionAmountName",
            "amountSignage": "AUTO",
            "currencyField": "transactionCurrencyName",
            "debitCredit": "CR",
            "postingCode": "test posting code CR",
            "postingDateField": "effectiveDateName"
          },
          {
            "amountField": "transactionAmountName",
            "amountSignage": "AUTO",
            "currencyField": "transactionCurrencyName",
            "debitCredit": "DR",
            "postingCode": "test posting code DR",
            "postingDateField": "effectiveDateName"
          }
        ]
      },
      {
        "accountingConfigName": "IFRS",
        "code": "Reversing posting component name",
        "description": "Reversing posting component description",
        "journalType": "Test Reversal Journal Type",
        "postingPatterns": [
          {
            "amountField": "transactionAmountName",
            "amountSignage": "AUTO",
            "currencyField": "transactionCurrencyName",
            "debitCredit": "CR",
            "postingCode": "test posting code CR",
            "postingDateField": "effectiveDateName"
          },
          {
            "amountField": "transactionAmountName",
            "amountSignage": "AUTO",
            "currencyField": "transactionCurrencyName",
            "debitCredit": "DR",
            "postingCode": "test posting code DR",
            "postingDateField": "effectiveDateName"
          }
        ]
      }
    ]
  },
  "downloadTime": {
    "nanos": 1,
    "seconds": 1
  },
  "downloadedBy": "john.doe@aptitudesoftware.com",
  "version": "v20230211"
}
```

#### Uploading Fynapse Configuration

You can upload a Fynapse configuration (2) using the **Upload a new Fynapse configuration** endpoint. The payload has to be defined in the structure of the [Configuration Data](/documentation/instance-management/configuration-data) JSON file.

### Request

PUT [https://api.fynapse.com/api/v1/configuration/bulk](https://api.fynapse.com/api/v1/configuration/bulk)

**`configuration_putBulk_example`**

```curl configuration_putBulk_example
curl -X PUT https://api.fynapse.com/api/v1/configuration/bulk \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "configuration": {
    "accountLookups": [
      {
        "accountLookupPatterns": [
          {
            "account": "111"
          }
        ],
        "postingCode": "test posting code CR"
      },
      {
        "accountLookupPatterns": [
          {
            "account": "222"
          }
        ],
        "postingCode": "test posting code DR"
      }
    ],
    "accountingConfigurations": [
      {
        "businessCalendarName": "Test Business Calendar",
        "description": "IFRS description",
        "dimensionSetName": "Test Dimension Set",
        "fiscalCalendarName": "Test Fiscal Calendar",
        "name": "IFRS"
      }
    ],
    "businessCalendars": [
      {
        "effectiveFrom": "1900-01-01",
        "effectiveTo": "2099-12-31",
        "name": "Test Business Calendar",
        "status": "ACTIVE"
      }
    ],
    "businessDateSettings": {
      "businessDateShift": 0
    },
    "businessEventDefinition": {
      "active": true,
      "attributes": [
        {
          "label": "Event Type Label",
          "name": "eventTypeName",
          "role": "event_type",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Effective Date Label",
          "name": "effectiveDateName",
          "role": "effective_date",
          "source": "input",
          "type": "date"
        },
        {
          "label": "Amount Type Label",
          "name": "transactionAmountName",
          "role": "attribute",
          "source": "input",
          "type": "decimal"
        },
        {
          "label": "Currency Label",
          "name": "transactionCurrencyName",
          "role": "attribute",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Subledger Node Label",
          "name": "customSubledgerNodeName",
          "role": "node",
          "source": "input",
          "type": "text"
        }
      ],
      "effectiveFrom": "2023-04-05"
    },
    "businessEventTypes": [
      {
        "description": "IRSTRADE description",
        "name": "IRSTRADE"
      },
      {
        "description": "IRSTRADE_REV description",
        "name": "IRSTRADE_REV"
      }
    ],
    "dimensionSets": [
      {
        "attributes": [
          "customAccountingConfig",
          "customAccount",
          "customTransactionCurrency",
          "customSubledgerNodeName"
        ],
        "description": "Test Dimension Set description",
        "name": "Test Dimension Set"
      }
    ],
    "entities": [
      {
        "attributes": [
          {
            "label": "Event Type Label",
            "mandatory": true,
            "name": "EventTypeName",
            "source": "input",
            "type": {
              "primitive": "TEXT",
              "typeName": "PrimitiveType"
            }
          },
          {
            "label": "Effective Date Label",
            "mandatory": true,
            "name": "effectiveDateName",
            "source": "input",
            "type": {
              "primitive": "DATE",
              "typeName": "PrimitiveType"
            }
          },
          {
            "label": "Amount Type Label",
            "mandatory": true,
            "name": "transactionAmountName",
            "source": "input",
            "type": {
              "primitive": "DECIMAL",
              "typeName": "PrimitiveType"
            }
          },
          {
            "label": "Currency Label",
            "mandatory": true,
            "name": "transactionCurrencyName",
            "source": "input",
            "type": {
              "primitive": "TEXT",
              "typeName": "PrimitiveType"
            }
          },
          {
            "label": "Custom Subledger Node Label",
            "mandatory": true,
            "name": "customSubledgerNodeName",
            "source": "input",
            "type": {
              "primitive": "TEXT",
              "typeName": "PrimitiveType"
            }
          }
        ],
        "description": "Transaction Entity For Flow",
        "name": "TransactionEntityForFlow",
        "namespace": "fynapse",
        "temporalityType": "Transaction",
        "type": "DefinedEntity"
      }
    ],
    "featureFlags": {
      "extracts-in-bulk": false,
      "flow": true,
      "flow-assistant": true,
      "posting-date-override": false
    },
    "fiscalCalendars": [
      {
        "active": true,
        "effectiveFrom": "2024-12-23",
        "endOfFirstYear": "2019-12-31",
        "name": "Test Fiscal Calendar",
        "startYear": 2019,
        "type": "gregorian"
      }
    ],
    "flows": [
      {
        "graph": {
          "edges": {
            "6ace1605-e6dc-46e9-a237-32a334ce09d9": [
              "1b2670bc-b718-4f4d-873c-92d535a479fd"
            ],
            "8e7789cc-03ef-4aa3-9c2d-6b5143b4727b": [
              "6ace1605-e6dc-46e9-a237-32a334ce09d9"
            ],
            "8f62cb96-a738-4a2b-a427-83043837019a": [
              "8e7789cc-03ef-4aa3-9c2d-6b5143b4727b"
            ]
          },
          "nodes": {
            "1b2670bc-b718-4f4d-873c-92d535a479fd": {
              "x": 915,
              "y": 120,
              "step": {
                "name": "JournalProcessor",
                "type": "JournalProcessor"
              }
            },
            "6ace1605-e6dc-46e9-a237-32a334ce09d9": {
              "x": 615,
              "y": 120,
              "step": {
                "mapping": [
                  {
                    "contextMapping": true,
                    "source": {
                      "group": "INPUT",
                      "path": []
                    },
                    "target": {
                      "path": []
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "INPUT",
                      "path": [
                        "EventTypeName"
                      ]
                    },
                    "target": {
                      "path": [
                        "eventTypeName"
                      ]
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "INPUT",
                      "path": [
                        "effectiveDateName"
                      ]
                    },
                    "target": {
                      "path": [
                        "effectiveDateName"
                      ]
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "INPUT",
                      "path": [
                        "transactionAmountName"
                      ]
                    },
                    "target": {
                      "path": [
                        "transactionAmountName"
                      ]
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "SCRIPT",
                      "path": [
                        "CurrencyLabel"
                      ]
                    },
                    "target": {
                      "path": [
                        "transactionCurrencyName"
                      ]
                    }
                  },
                  {
                    "contextMapping": false,
                    "source": {
                      "group": "INPUT",
                      "path": [
                        "customSubledgerNodeName"
                      ]
                    },
                    "target": {
                      "path": [
                        "customSubledgerNodeName"
                      ]
                    }
                  }
                ],
                "name": "AccountingEngine",
                "type": "AccountingEngine"
              }
            },
            "8e7789cc-03ef-4aa3-9c2d-6b5143b4727b": {
              "x": 300,
              "y": 120,
              "step": {
                "name": "Script",
                "outputDefinition": [
                  {
                    "name": "CurrencyLabel",
                    "type": {
                      "primitive": "TEXT",
                      "type": "Primitive"
                    }
                  }
                ],
                "script": "from decimal import Decimal\r\ninput.transactionAmountName += Decimal('\''20.000'\'')\r\ncurrencyLabel = \"PLN\"\r\npublish(\"CurrencyLabel\", currencyLabel)",
                "type": "Script"
              }
            },
            "8f62cb96-a738-4a2b-a427-83043837019a": {
              "x": 0,
              "y": 120,
              "step": {
                "name": "Input",
                "source": {
                  "name": "TransactionEntityForFlow",
                  "namespace": "fynapse"
                },
                "type": "Input"
              }
            }
          }
        },
        "name": "Flow",
        "versionStatus": "Published"
      }
    ],
    "journalDefinition": {
      "active": true,
      "effectiveFrom": "2023-04-05",
      "fields": [
        {
          "label": "Custom Core Date Label",
          "name": "customCoreDate",
          "role": "coreDate",
          "source": "input",
          "type": "date"
        },
        {
          "label": "Custom Journal Type Label",
          "name": "customJournalType",
          "role": "journalType",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Accounting Config Label",
          "name": "customAccountingConfig",
          "role": "accountingConfig",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Account Label",
          "name": "customAccount",
          "role": "account",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Transaction Amount Label",
          "name": "customTransactionAmount",
          "role": "transactionAmount",
          "source": "input",
          "type": "amount"
        },
        {
          "label": "Custom Transaction Currency Label",
          "name": "customTransactionCurrency",
          "role": "transactionCurrency",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Journal Id Label",
          "name": "customJournalId",
          "role": "journalId",
          "source": "input",
          "type": "uuid"
        },
        {
          "label": "Custom Journal Line Id Label",
          "name": "customJournalLineId",
          "role": "lineId",
          "source": "input",
          "type": "uuid"
        },
        {
          "label": "Custom Reverses Label",
          "name": "customReverses",
          "role": "reverses",
          "source": "input",
          "type": "uuid"
        },
        {
          "label": "Custom Reversed by Label",
          "name": "customReversedBy",
          "role": "reversedBy",
          "source": "input",
          "type": "uuid"
        },
        {
          "label": "Custom Journal Line No",
          "name": "customJournalLineNo",
          "role": "journalLineNo",
          "source": "input",
          "type": "integer"
        },
        {
          "label": "Custom Ingestion Id Label",
          "name": "customIngestionId",
          "role": "ingestionId",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Origin Journal Id",
          "name": "customOriginJournalId",
          "role": "originJournalId",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Origin Journal Line Id",
          "name": "customOriginJournalLineId",
          "role": "originJournalLineId",
          "source": "input",
          "type": "text"
        },
        {
          "label": "Custom Subledger Node Label",
          "name": "customSubledgerNodeName",
          "role": "node",
          "source": "input",
          "type": "text"
        }
      ],
      "primaryKeys": [
        "customJournalId",
        "customJournalLineId"
      ]
    },
    "journalTypes": [
      {
        "behavior": "PERMANENT",
        "code": "Test Permanent Journal Type",
        "description": "Test Permanent Journal Type description"
      },
      {
        "behavior": "REVERSING",
        "code": "Test Reversal Journal Type",
        "description": "Reversing Next day description",
        "reversingDate": "NEXT_DAY"
      }
    ],
    "nodeValues": [
      {
        "fieldName": "customSubledgerNodeName",
        "values": [
          "Custom Subledger Node Label element 1",
          "Custom Subledger Node Label element 2"
        ]
      }
    ],
    "nodes": [
      {
        "fields": {
          "customSubledgerNodeName": "Custom Subledger Node Label element 1"
        },
        "nodeConfigs": [
          {
            "accountingConfigName": "IFRS",
            "graceDays": 0,
            "graceHours": 0,
            "overridePostingDate": "none"
          }
        ],
        "timeZone": "Europe/Warsaw"
      }
    ],
    "postingComponentIdentifications": [
      {
        "businessEventTypeName": "IRSTRADE",
        "postingComponents": [
          {
            "postingComponentCode": "PLFEES"
          }
        ]
      },
      {
        "businessEventTypeName": "IRSTRADE_REV",
        "postingComponents": [
          {
            "postingComponentCode": "Reversing posting component name"
          }
        ]
      }
    ],
    "postingComponents": [
      {
        "accountingConfigName": "IFRS",
        "code": "PLFEES",
        "description": "PLFEES description",
        "journalType": "Test Permanent Journal Type",
        "postingPatterns": [
          {
            "amountField": "transactionAmountName",
            "amountSignage": "AUTO",
            "currencyField": "transactionCurrencyName",
            "debitCredit": "CR",
            "postingCode": "test posting code CR",
            "postingDateField": "effectiveDateName"
          },
          {
            "amountField": "transactionAmountName",
            "amountSignage": "AUTO",
            "currencyField": "transactionCurrencyName",
            "debitCredit": "DR",
            "postingCode": "test posting code DR",
            "postingDateField": "effectiveDateName"
          }
        ]
      },
      {
        "accountingConfigName": "IFRS",
        "code": "Reversing posting component name",
        "description": "Reversing posting component description",
        "journalType": "Test Reversal Journal Type",
        "postingPatterns": [
          {
            "amountField": "transactionAmountName",
            "amountSignage": "AUTO",
            "currencyField": "transactionCurrencyName",
            "debitCredit": "CR",
            "postingCode": "test posting code CR",
            "postingDateField": "effectiveDateName"
          },
          {
            "amountField": "transactionAmountName",
            "amountSignage": "AUTO",
            "currencyField": "transactionCurrencyName",
            "debitCredit": "DR",
            "postingCode": "test posting code DR",
            "postingDateField": "effectiveDateName"
          }
        ]
      }
    ]
  },
  "downloadTime": {
    "nanos": 1,
    "seconds": 1
  },
  "downloadedBy": "john.doe@aptitudesoftware.com",
  "version": "v20230211"
}'
```

**`configuration_putBulk_example`**

```python configuration_putBulk_example
import requests

url = "https://api.fynapse.com/api/v1/configuration/bulk"

payload = {
    "configuration": {
        "accountLookups": [
            {
                "accountLookupPatterns": [{ "account": "111" }],
                "postingCode": "test posting code CR"
            },
            {
                "accountLookupPatterns": [{ "account": "222" }],
                "postingCode": "test posting code DR"
            }
        ],
        "accountingConfigurations": [
            {
                "businessCalendarName": "Test Business Calendar",
                "description": "IFRS description",
                "dimensionSetName": "Test Dimension Set",
                "fiscalCalendarName": "Test Fiscal Calendar",
                "name": "IFRS"
            }
        ],
        "businessCalendars": [
            {
                "effectiveFrom": "1900-01-01",
                "effectiveTo": "2099-12-31",
                "name": "Test Business Calendar",
                "status": "ACTIVE"
            }
        ],
        "businessDateSettings": { "businessDateShift": 0 },
        "businessEventDefinition": {
            "active": True,
            "attributes": [
                {
                    "label": "Event Type Label",
                    "name": "eventTypeName",
                    "role": "event_type",
                    "source": "input",
                    "type": "text"
                },
                {
                    "label": "Effective Date Label",
                    "name": "effectiveDateName",
                    "role": "effective_date",
                    "source": "input",
                    "type": "date"
                },
                {
                    "label": "Amount Type Label",
                    "name": "transactionAmountName",
                    "role": "attribute",
                    "source": "input",
                    "type": "decimal"
                },
                {
                    "label": "Currency Label",
                    "name": "transactionCurrencyName",
                    "role": "attribute",
                    "source": "input",
                    "type": "text"
                },
                {
                    "label": "Custom Subledger Node Label",
                    "name": "customSubledgerNodeName",
                    "role": "node",
                    "source": "input",
                    "type": "text"
                }
            ],
            "effectiveFrom": "2023-04-05"
        },
        "businessEventTypes": [
            {
                "description": "IRSTRADE description",
                "name": "IRSTRADE"
            },
            {
                "description": "IRSTRADE_REV description",
                "name": "IRSTRADE_REV"
            }
        ],
        "dimensionSets": [
            {
                "attributes": ["customAccountingConfig", "customAccount", "customTransactionCurrency", "customSubledgerNodeName"],
                "description": "Test Dimension Set description",
                "name": "Test Dimension Set"
            }
        ],
        "entities": [
            {
                "attributes": [
                    {
                        "label": "Event Type Label",
                        "mandatory": True,
                        "name": "EventTypeName",
                        "source": "input",
                        "type": {
                            "primitive": "TEXT",
                            "typeName": "PrimitiveType"
                        }
                    },
                    {
                        "label": "Effective Date Label",
                        "mandatory": True,
                        "name": "effectiveDateName",
                        "source": "input",
                        "type": {
                            "primitive": "DATE",
                            "typeName": "PrimitiveType"
                        }
                    },
                    {
                        "label": "Amount Type Label",
                        "mandatory": True,
                        "name": "transactionAmountName",
                        "source": "input",
                        "type": {
                            "primitive": "DECIMAL",
                            "typeName": "PrimitiveType"
                        }
                    },
                    {
                        "label": "Currency Label",
                        "mandatory": True,
                        "name": "transactionCurrencyName",
                        "source": "input",
                        "type": {
                            "primitive": "TEXT",
                            "typeName": "PrimitiveType"
                        }
                    },
                    {
                        "label": "Custom Subledger Node Label",
                        "mandatory": True,
                        "name": "customSubledgerNodeName",
                        "source": "input",
                        "type": {
                            "primitive": "TEXT",
                            "typeName": "PrimitiveType"
                        }
                    }
                ],
                "description": "Transaction Entity For Flow",
                "name": "TransactionEntityForFlow",
                "namespace": "fynapse",
                "temporalityType": "Transaction",
                "type": "DefinedEntity"
            }
        ],
        "featureFlags": {
            "extracts-in-bulk": False,
            "flow": True,
            "flow-assistant": True,
            "posting-date-override": False
        },
        "fiscalCalendars": [
            {
                "active": True,
                "effectiveFrom": "2024-12-23",
                "endOfFirstYear": "2019-12-31",
                "name": "Test Fiscal Calendar",
                "startYear": 2019,
                "type": "gregorian"
            }
        ],
        "flows": [
            {
                "graph": {
                    "edges": {
                        "6ace1605-e6dc-46e9-a237-32a334ce09d9": ["1b2670bc-b718-4f4d-873c-92d535a479fd"],
                        "8e7789cc-03ef-4aa3-9c2d-6b5143b4727b": ["6ace1605-e6dc-46e9-a237-32a334ce09d9"],
                        "8f62cb96-a738-4a2b-a427-83043837019a": ["8e7789cc-03ef-4aa3-9c2d-6b5143b4727b"]
                    },
                    "nodes": {
                        "1b2670bc-b718-4f4d-873c-92d535a479fd": {
                            "x": 915,
                            "y": 120,
                            "step": {
                                "name": "JournalProcessor",
                                "type": "JournalProcessor"
                            }
                        },
                        "6ace1605-e6dc-46e9-a237-32a334ce09d9": {
                            "x": 615,
                            "y": 120,
                            "step": {
                                "mapping": [
                                    {
                                        "contextMapping": True,
                                        "source": {
                                            "group": "INPUT",
                                            "path": []
                                        },
                                        "target": { "path": [] }
                                    },
                                    {
                                        "contextMapping": False,
                                        "source": {
                                            "group": "INPUT",
                                            "path": ["EventTypeName"]
                                        },
                                        "target": { "path": ["eventTypeName"] }
                                    },
                                    {
                                        "contextMapping": False,
                                        "source": {
                                            "group": "INPUT",
                                            "path": ["effectiveDateName"]
                                        },
                                        "target": { "path": ["effectiveDateName"] }
                                    },
                                    {
                                        "contextMapping": False,
                                        "source": {
                                            "group": "INPUT",
                                            "path": ["transactionAmountName"]
                                        },
                                        "target": { "path": ["transactionAmountName"] }
                                    },
                                    {
                                        "contextMapping": False,
                                        "source": {
                                            "group": "SCRIPT",
                                            "path": ["CurrencyLabel"]
                                        },
                                        "target": { "path": ["transactionCurrencyName"] }
                                    },
                                    {
                                        "contextMapping": False,
                                        "source": {
                                            "group": "INPUT",
                                            "path": ["customSubledgerNodeName"]
                                        },
                                        "target": { "path": ["customSubledgerNodeName"] }
                                    }
                                ],
                                "name": "AccountingEngine",
                                "type": "AccountingEngine"
                            }
                        },
                        "8e7789cc-03ef-4aa3-9c2d-6b5143b4727b": {
                            "x": 300,
                            "y": 120,
                            "step": {
                                "name": "Script",
                                "outputDefinition": [
                                    {
                                        "name": "CurrencyLabel",
                                        "type": {
                                            "primitive": "TEXT",
                                            "type": "Primitive"
                                        }
                                    }
                                ],
                                "script": "from decimal import Decimal
input.transactionAmountName += Decimal('20.000')
currencyLabel = \"PLN\"
publish(\"CurrencyLabel\", currencyLabel)",
                                "type": "Script"
                            }
                        },
                        "8f62cb96-a738-4a2b-a427-83043837019a": {
                            "x": 0,
                            "y": 120,
                            "step": {
                                "name": "Input",
                                "source": {
                                    "name": "TransactionEntityForFlow",
                                    "namespace": "fynapse"
                                },
                                "type": "Input"
                            }
                        }
                    }
                },
                "name": "Flow",
                "versionStatus": "Published"
            }
        ],
        "journalDefinition": {
            "active": True,
            "effectiveFrom": "2023-04-05",
            "fields": [
                {
                    "label": "Custom Core Date Label",
                    "name": "customCoreDate",
                    "role": "coreDate",
                    "source": "input",
                    "type": "date"
                },
                {
                    "label": "Custom Journal Type Label",
                    "name": "customJournalType",
                    "role": "journalType",
                    "source": "input",
                    "type": "text"
                },
                {
                    "label": "Custom Accounting Config Label",
                    "name": "customAccountingConfig",
                    "role": "accountingConfig",
                    "source": "input",
                    "type": "text"
                },
                {
                    "label": "Custom Account Label",
                    "name": "customAccount",
                    "role": "account",
                    "source": "input",
                    "type": "text"
                },
                {
                    "label": "Custom Transaction Amount Label",
                    "name": "customTransactionAmount",
                    "role": "transactionAmount",
                    "source": "input",
                    "type": "amount"
                },
                {
                    "label": "Custom Transaction Currency Label",
                    "name": "customTransactionCurrency",
                    "role": "transactionCurrency",
                    "source": "input",
                    "type": "text"
                },
                {
                    "label": "Custom Journal Id Label",
                    "name": "customJournalId",
                    "role": "journalId",
                    "source": "input",
                    "type": "uuid"
                },
                {
                    "label": "Custom Journal Line Id Label",
                    "name": "customJournalLineId",
                    "role": "lineId",
                    "source": "input",
                    "type": "uuid"
                },
                {
                    "label": "Custom Reverses Label",
                    "name": "customReverses",
                    "role": "reverses",
                    "source": "input",
                    "type": "uuid"
                },
                {
                    "label": "Custom Reversed by Label",
                    "name": "customReversedBy",
                    "role": "reversedBy",
                    "source": "input",
                    "type": "uuid"
                },
                {
                    "label": "Custom Journal Line No",
                    "name": "customJournalLineNo",
                    "role": "journalLineNo",
                    "source": "input",
                    "type": "integer"
                },
                {
                    "label": "Custom Ingestion Id Label",
                    "name": "customIngestionId",
                    "role": "ingestionId",
                    "source": "input",
                    "type": "text"
                },
                {
                    "label": "Custom Origin Journal Id",
                    "name": "customOriginJournalId",
                    "role": "originJournalId",
                    "source": "input",
                    "type": "text"
                },
                {
                    "label": "Custom Origin Journal Line Id",
                    "name": "customOriginJournalLineId",
                    "role": "originJournalLineId",
                    "source": "input",
                    "type": "text"
                },
                {
                    "label": "Custom Subledger Node Label",
                    "name": "customSubledgerNodeName",
                    "role": "node",
                    "source": "input",
                    "type": "text"
                }
            ],
            "primaryKeys": ["customJournalId", "customJournalLineId"]
        },
        "journalTypes": [
            {
                "behavior": "PERMANENT",
                "code": "Test Permanent Journal Type",
                "description": "Test Permanent Journal Type description"
            },
            {
                "behavior": "REVERSING",
                "code": "Test Reversal Journal Type",
                "description": "Reversing Next day description",
                "reversingDate": "NEXT_DAY"
            }
        ],
        "nodeValues": [
            {
                "fieldName": "customSubledgerNodeName",
                "values": ["Custom Subledger Node Label element 1", "Custom Subledger Node Label element 2"]
            }
        ],
        "nodes": [
            {
                "fields": { "customSubledgerNodeName": "Custom Subledger Node Label element 1" },
                "nodeConfigs": [
                    {
                        "accountingConfigName": "IFRS",
                        "graceDays": 0,
                        "graceHours": 0,
                        "overridePostingDate": "none"
                    }
                ],
                "timeZone": "Europe/Warsaw"
            }
        ],
        "postingComponentIdentifications": [
            {
                "businessEventTypeName": "IRSTRADE",
                "postingComponents": [{ "postingComponentCode": "PLFEES" }]
            },
            {
                "businessEventTypeName": "IRSTRADE_REV",
                "postingComponents": [{ "postingComponentCode": "Reversing posting component name" }]
            }
        ],
        "postingComponents": [
            {
                "accountingConfigName": "IFRS",
                "code": "PLFEES",
                "description": "PLFEES description",
                "journalType": "Test Permanent Journal Type",
                "postingPatterns": [
                    {
                        "amountField": "transactionAmountName",
                        "amountSignage": "AUTO",
                        "currencyField": "transactionCurrencyName",
                        "debitCredit": "CR",
                        "postingCode": "test posting code CR",
                        "postingDateField": "effectiveDateName"
                    },
                    {
                        "amountField": "transactionAmountName",
                        "amountSignage": "AUTO",
                        "currencyField": "transactionCurrencyName",
                        "debitCredit": "DR",
                        "postingCode": "test posting code DR",
                        "postingDateField": "effectiveDateName"
                    }
                ]
            },
            {
                "accountingConfigName": "IFRS",
                "code": "Reversing posting component name",
                "description": "Reversing posting component description",
                "journalType": "Test Reversal Journal Type",
                "postingPatterns": [
                    {
                        "amountField": "transactionAmountName",
                        "amountSignage": "AUTO",
                        "currencyField": "transactionCurrencyName",
                        "debitCredit": "CR",
                        "postingCode": "test posting code CR",
                        "postingDateField": "effectiveDateName"
                    },
                    {
                        "amountField": "transactionAmountName",
                        "amountSignage": "AUTO",
                        "currencyField": "transactionCurrencyName",
                        "debitCredit": "DR",
                        "postingCode": "test posting code DR",
                        "postingDateField": "effectiveDateName"
                    }
                ]
            }
        ]
    },
    "downloadTime": {
        "nanos": 1,
        "seconds": 1
    },
    "downloadedBy": "john.doe@aptitudesoftware.com",
    "version": "v20230211"
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

**`configuration_putBulk_example`**

```javascript configuration_putBulk_example
const url = 'https://api.fynapse.com/api/v1/configuration/bulk';
const options = {
  method: 'PUT',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"configuration":{"accountLookups":[{"accountLookupPatterns":[{"account":"111"}],"postingCode":"test posting code CR"},{"accountLookupPatterns":[{"account":"222"}],"postingCode":"test posting code DR"}],"accountingConfigurations":[{"businessCalendarName":"Test Business Calendar","description":"IFRS description","dimensionSetName":"Test Dimension Set","fiscalCalendarName":"Test Fiscal Calendar","name":"IFRS"}],"businessCalendars":[{"effectiveFrom":"1900-01-01","effectiveTo":"2099-12-31","name":"Test Business Calendar","status":"ACTIVE"}],"businessDateSettings":{"businessDateShift":0},"businessEventDefinition":{"active":true,"attributes":[{"label":"Event Type Label","name":"eventTypeName","role":"event_type","source":"input","type":"text"},{"label":"Effective Date Label","name":"effectiveDateName","role":"effective_date","source":"input","type":"date"},{"label":"Amount Type Label","name":"transactionAmountName","role":"attribute","source":"input","type":"decimal"},{"label":"Currency Label","name":"transactionCurrencyName","role":"attribute","source":"input","type":"text"},{"label":"Custom Subledger Node Label","name":"customSubledgerNodeName","role":"node","source":"input","type":"text"}],"effectiveFrom":"2023-04-05"},"businessEventTypes":[{"description":"IRSTRADE description","name":"IRSTRADE"},{"description":"IRSTRADE_REV description","name":"IRSTRADE_REV"}],"dimensionSets":[{"attributes":["customAccountingConfig","customAccount","customTransactionCurrency","customSubledgerNodeName"],"description":"Test Dimension Set description","name":"Test Dimension Set"}],"entities":[{"attributes":[{"label":"Event Type Label","mandatory":true,"name":"EventTypeName","source":"input","type":{"primitive":"TEXT","typeName":"PrimitiveType"}},{"label":"Effective Date Label","mandatory":true,"name":"effectiveDateName","source":"input","type":{"primitive":"DATE","typeName":"PrimitiveType"}},{"label":"Amount Type Label","mandatory":true,"name":"transactionAmountName","source":"input","type":{"primitive":"DECIMAL","typeName":"PrimitiveType"}},{"label":"Currency Label","mandatory":true,"name":"transactionCurrencyName","source":"input","type":{"primitive":"TEXT","typeName":"PrimitiveType"}},{"label":"Custom Subledger Node Label","mandatory":true,"name":"customSubledgerNodeName","source":"input","type":{"primitive":"TEXT","typeName":"PrimitiveType"}}],"description":"Transaction Entity For Flow","name":"TransactionEntityForFlow","namespace":"fynapse","temporalityType":"Transaction","type":"DefinedEntity"}],"featureFlags":{"extracts-in-bulk":false,"flow":true,"flow-assistant":true,"posting-date-override":false},"fiscalCalendars":[{"active":true,"effectiveFrom":"2024-12-23","endOfFirstYear":"2019-12-31","name":"Test Fiscal Calendar","startYear":2019,"type":"gregorian"}],"flows":[{"graph":{"edges":{"6ace1605-e6dc-46e9-a237-32a334ce09d9":["1b2670bc-b718-4f4d-873c-92d535a479fd"],"8e7789cc-03ef-4aa3-9c2d-6b5143b4727b":["6ace1605-e6dc-46e9-a237-32a334ce09d9"],"8f62cb96-a738-4a2b-a427-83043837019a":["8e7789cc-03ef-4aa3-9c2d-6b5143b4727b"]},"nodes":{"1b2670bc-b718-4f4d-873c-92d535a479fd":{"x":915,"y":120,"step":{"name":"JournalProcessor","type":"JournalProcessor"}},"6ace1605-e6dc-46e9-a237-32a334ce09d9":{"x":615,"y":120,"step":{"mapping":[{"contextMapping":true,"source":{"group":"INPUT","path":[]},"target":{"path":[]}},{"contextMapping":false,"source":{"group":"INPUT","path":["EventTypeName"]},"target":{"path":["eventTypeName"]}},{"contextMapping":false,"source":{"group":"INPUT","path":["effectiveDateName"]},"target":{"path":["effectiveDateName"]}},{"contextMapping":false,"source":{"group":"INPUT","path":["transactionAmountName"]},"target":{"path":["transactionAmountName"]}},{"contextMapping":false,"source":{"group":"SCRIPT","path":["CurrencyLabel"]},"target":{"path":["transactionCurrencyName"]}},{"contextMapping":false,"source":{"group":"INPUT","path":["customSubledgerNodeName"]},"target":{"path":["customSubledgerNodeName"]}}],"name":"AccountingEngine","type":"AccountingEngine"}},"8e7789cc-03ef-4aa3-9c2d-6b5143b4727b":{"x":300,"y":120,"step":{"name":"Script","outputDefinition":[{"name":"CurrencyLabel","type":{"primitive":"TEXT","type":"Primitive"}}],"script":"from decimal import Decimal\r\ninput.transactionAmountName += Decimal(\'20.000\')\r\ncurrencyLabel = \"PLN\"\r\npublish(\"CurrencyLabel\", currencyLabel)","type":"Script"}},"8f62cb96-a738-4a2b-a427-83043837019a":{"x":0,"y":120,"step":{"name":"Input","source":{"name":"TransactionEntityForFlow","namespace":"fynapse"},"type":"Input"}}}},"name":"Flow","versionStatus":"Published"}],"journalDefinition":{"active":true,"effectiveFrom":"2023-04-05","fields":[{"label":"Custom Core Date Label","name":"customCoreDate","role":"coreDate","source":"input","type":"date"},{"label":"Custom Journal Type Label","name":"customJournalType","role":"journalType","source":"input","type":"text"},{"label":"Custom Accounting Config Label","name":"customAccountingConfig","role":"accountingConfig","source":"input","type":"text"},{"label":"Custom Account Label","name":"customAccount","role":"account","source":"input","type":"text"},{"label":"Custom Transaction Amount Label","name":"customTransactionAmount","role":"transactionAmount","source":"input","type":"amount"},{"label":"Custom Transaction Currency Label","name":"customTransactionCurrency","role":"transactionCurrency","source":"input","type":"text"},{"label":"Custom Journal Id Label","name":"customJournalId","role":"journalId","source":"input","type":"uuid"},{"label":"Custom Journal Line Id Label","name":"customJournalLineId","role":"lineId","source":"input","type":"uuid"},{"label":"Custom Reverses Label","name":"customReverses","role":"reverses","source":"input","type":"uuid"},{"label":"Custom Reversed by Label","name":"customReversedBy","role":"reversedBy","source":"input","type":"uuid"},{"label":"Custom Journal Line No","name":"customJournalLineNo","role":"journalLineNo","source":"input","type":"integer"},{"label":"Custom Ingestion Id Label","name":"customIngestionId","role":"ingestionId","source":"input","type":"text"},{"label":"Custom Origin Journal Id","name":"customOriginJournalId","role":"originJournalId","source":"input","type":"text"},{"label":"Custom Origin Journal Line Id","name":"customOriginJournalLineId","role":"originJournalLineId","source":"input","type":"text"},{"label":"Custom Subledger Node Label","name":"customSubledgerNodeName","role":"node","source":"input","type":"text"}],"primaryKeys":["customJournalId","customJournalLineId"]},"journalTypes":[{"behavior":"PERMANENT","code":"Test Permanent Journal Type","description":"Test Permanent Journal Type description"},{"behavior":"REVERSING","code":"Test Reversal Journal Type","description":"Reversing Next day description","reversingDate":"NEXT_DAY"}],"nodeValues":[{"fieldName":"customSubledgerNodeName","values":["Custom Subledger Node Label element 1","Custom Subledger Node Label element 2"]}],"nodes":[{"fields":{"customSubledgerNodeName":"Custom Subledger Node Label element 1"},"nodeConfigs":[{"accountingConfigName":"IFRS","graceDays":0,"graceHours":0,"overridePostingDate":"none"}],"timeZone":"Europe/Warsaw"}],"postingComponentIdentifications":[{"businessEventTypeName":"IRSTRADE","postingComponents":[{"postingComponentCode":"PLFEES"}]},{"businessEventTypeName":"IRSTRADE_REV","postingComponents":[{"postingComponentCode":"Reversing posting component name"}]}],"postingComponents":[{"accountingConfigName":"IFRS","code":"PLFEES","description":"PLFEES description","journalType":"Test Permanent Journal Type","postingPatterns":[{"amountField":"transactionAmountName","amountSignage":"AUTO","currencyField":"transactionCurrencyName","debitCredit":"CR","postingCode":"test posting code CR","postingDateField":"effectiveDateName"},{"amountField":"transactionAmountName","amountSignage":"AUTO","currencyField":"transactionCurrencyName","debitCredit":"DR","postingCode":"test posting code DR","postingDateField":"effectiveDateName"}]},{"accountingConfigName":"IFRS","code":"Reversing posting component name","description":"Reversing posting component description","journalType":"Test Reversal Journal Type","postingPatterns":[{"amountField":"transactionAmountName","amountSignage":"AUTO","currencyField":"transactionCurrencyName","debitCredit":"CR","postingCode":"test posting code CR","postingDateField":"effectiveDateName"},{"amountField":"transactionAmountName","amountSignage":"AUTO","currencyField":"transactionCurrencyName","debitCredit":"DR","postingCode":"test posting code DR","postingDateField":"effectiveDateName"}]}]},"downloadTime":{"nanos":1,"seconds":1},"downloadedBy":"john.doe@aptitudesoftware.com","version":"v20230211"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

**`configuration_putBulk_example`**

```go configuration_putBulk_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fynapse.com/api/v1/configuration/bulk"

	payload := strings.NewReader("{\n  \"configuration\": {\n    \"accountLookups\": [\n      {\n        \"accountLookupPatterns\": [\n          {\n            \"account\": \"111\"\n          }\n        ],\n        \"postingCode\": \"test posting code CR\"\n      },\n      {\n        \"accountLookupPatterns\": [\n          {\n            \"account\": \"222\"\n          }\n        ],\n        \"postingCode\": \"test posting code DR\"\n      }\n    ],\n    \"accountingConfigurations\": [\n      {\n        \"businessCalendarName\": \"Test Business Calendar\",\n        \"description\": \"IFRS description\",\n        \"dimensionSetName\": \"Test Dimension Set\",\n        \"fiscalCalendarName\": \"Test Fiscal Calendar\",\n        \"name\": \"IFRS\"\n      }\n    ],\n    \"businessCalendars\": [\n      {\n        \"effectiveFrom\": \"1900-01-01\",\n        \"effectiveTo\": \"2099-12-31\",\n        \"name\": \"Test Business Calendar\",\n        \"status\": \"ACTIVE\"\n      }\n    ],\n    \"businessDateSettings\": {\n      \"businessDateShift\": 0\n    },\n    \"businessEventDefinition\": {\n      \"active\": true,\n      \"attributes\": [\n        {\n          \"label\": \"Event Type Label\",\n          \"name\": \"eventTypeName\",\n          \"role\": \"event_type\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Effective Date Label\",\n          \"name\": \"effectiveDateName\",\n          \"role\": \"effective_date\",\n          \"source\": \"input\",\n          \"type\": \"date\"\n        },\n        {\n          \"label\": \"Amount Type Label\",\n          \"name\": \"transactionAmountName\",\n          \"role\": \"attribute\",\n          \"source\": \"input\",\n          \"type\": \"decimal\"\n        },\n        {\n          \"label\": \"Currency Label\",\n          \"name\": \"transactionCurrencyName\",\n          \"role\": \"attribute\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Subledger Node Label\",\n          \"name\": \"customSubledgerNodeName\",\n          \"role\": \"node\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        }\n      ],\n      \"effectiveFrom\": \"2023-04-05\"\n    },\n    \"businessEventTypes\": [\n      {\n        \"description\": \"IRSTRADE description\",\n        \"name\": \"IRSTRADE\"\n      },\n      {\n        \"description\": \"IRSTRADE_REV description\",\n        \"name\": \"IRSTRADE_REV\"\n      }\n    ],\n    \"dimensionSets\": [\n      {\n        \"attributes\": [\n          \"customAccountingConfig\",\n          \"customAccount\",\n          \"customTransactionCurrency\",\n          \"customSubledgerNodeName\"\n        ],\n        \"description\": \"Test Dimension Set description\",\n        \"name\": \"Test Dimension Set\"\n      }\n    ],\n    \"entities\": [\n      {\n        \"attributes\": [\n          {\n            \"label\": \"Event Type Label\",\n            \"mandatory\": true,\n            \"name\": \"EventTypeName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"TEXT\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          },\n          {\n            \"label\": \"Effective Date Label\",\n            \"mandatory\": true,\n            \"name\": \"effectiveDateName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"DATE\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          },\n          {\n            \"label\": \"Amount Type Label\",\n            \"mandatory\": true,\n            \"name\": \"transactionAmountName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"DECIMAL\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          },\n          {\n            \"label\": \"Currency Label\",\n            \"mandatory\": true,\n            \"name\": \"transactionCurrencyName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"TEXT\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          },\n          {\n            \"label\": \"Custom Subledger Node Label\",\n            \"mandatory\": true,\n            \"name\": \"customSubledgerNodeName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"TEXT\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          }\n        ],\n        \"description\": \"Transaction Entity For Flow\",\n        \"name\": \"TransactionEntityForFlow\",\n        \"namespace\": \"fynapse\",\n        \"temporalityType\": \"Transaction\",\n        \"type\": \"DefinedEntity\"\n      }\n    ],\n    \"featureFlags\": {\n      \"extracts-in-bulk\": false,\n      \"flow\": true,\n      \"flow-assistant\": true,\n      \"posting-date-override\": false\n    },\n    \"fiscalCalendars\": [\n      {\n        \"active\": true,\n        \"effectiveFrom\": \"2024-12-23\",\n        \"endOfFirstYear\": \"2019-12-31\",\n        \"name\": \"Test Fiscal Calendar\",\n        \"startYear\": 2019,\n        \"type\": \"gregorian\"\n      }\n    ],\n    \"flows\": [\n      {\n        \"graph\": {\n          \"edges\": {\n            \"6ace1605-e6dc-46e9-a237-32a334ce09d9\": [\n              \"1b2670bc-b718-4f4d-873c-92d535a479fd\"\n            ],\n            \"8e7789cc-03ef-4aa3-9c2d-6b5143b4727b\": [\n              \"6ace1605-e6dc-46e9-a237-32a334ce09d9\"\n            ],\n            \"8f62cb96-a738-4a2b-a427-83043837019a\": [\n              \"8e7789cc-03ef-4aa3-9c2d-6b5143b4727b\"\n            ]\n          },\n          \"nodes\": {\n            \"1b2670bc-b718-4f4d-873c-92d535a479fd\": {\n              \"x\": 915,\n              \"y\": 120,\n              \"step\": {\n                \"name\": \"JournalProcessor\",\n                \"type\": \"JournalProcessor\"\n              }\n            },\n            \"6ace1605-e6dc-46e9-a237-32a334ce09d9\": {\n              \"x\": 615,\n              \"y\": 120,\n              \"step\": {\n                \"mapping\": [\n                  {\n                    \"contextMapping\": true,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": []\n                    },\n                    \"target\": {\n                      \"path\": []\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": [\n                        \"EventTypeName\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"eventTypeName\"\n                      ]\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": [\n                        \"effectiveDateName\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"effectiveDateName\"\n                      ]\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": [\n                        \"transactionAmountName\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"transactionAmountName\"\n                      ]\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"SCRIPT\",\n                      \"path\": [\n                        \"CurrencyLabel\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"transactionCurrencyName\"\n                      ]\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": [\n                        \"customSubledgerNodeName\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"customSubledgerNodeName\"\n                      ]\n                    }\n                  }\n                ],\n                \"name\": \"AccountingEngine\",\n                \"type\": \"AccountingEngine\"\n              }\n            },\n            \"8e7789cc-03ef-4aa3-9c2d-6b5143b4727b\": {\n              \"x\": 300,\n              \"y\": 120,\n              \"step\": {\n                \"name\": \"Script\",\n                \"outputDefinition\": [\n                  {\n                    \"name\": \"CurrencyLabel\",\n                    \"type\": {\n                      \"primitive\": \"TEXT\",\n                      \"type\": \"Primitive\"\n                    }\n                  }\n                ],\n                \"script\": \"from decimal import Decimal\\r\\ninput.transactionAmountName += Decimal('20.000')\\r\\ncurrencyLabel = \\\"PLN\\\"\\r\\npublish(\\\"CurrencyLabel\\\", currencyLabel)\",\n                \"type\": \"Script\"\n              }\n            },\n            \"8f62cb96-a738-4a2b-a427-83043837019a\": {\n              \"x\": 0,\n              \"y\": 120,\n              \"step\": {\n                \"name\": \"Input\",\n                \"source\": {\n                  \"name\": \"TransactionEntityForFlow\",\n                  \"namespace\": \"fynapse\"\n                },\n                \"type\": \"Input\"\n              }\n            }\n          }\n        },\n        \"name\": \"Flow\",\n        \"versionStatus\": \"Published\"\n      }\n    ],\n    \"journalDefinition\": {\n      \"active\": true,\n      \"effectiveFrom\": \"2023-04-05\",\n      \"fields\": [\n        {\n          \"label\": \"Custom Core Date Label\",\n          \"name\": \"customCoreDate\",\n          \"role\": \"coreDate\",\n          \"source\": \"input\",\n          \"type\": \"date\"\n        },\n        {\n          \"label\": \"Custom Journal Type Label\",\n          \"name\": \"customJournalType\",\n          \"role\": \"journalType\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Accounting Config Label\",\n          \"name\": \"customAccountingConfig\",\n          \"role\": \"accountingConfig\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Account Label\",\n          \"name\": \"customAccount\",\n          \"role\": \"account\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Transaction Amount Label\",\n          \"name\": \"customTransactionAmount\",\n          \"role\": \"transactionAmount\",\n          \"source\": \"input\",\n          \"type\": \"amount\"\n        },\n        {\n          \"label\": \"Custom Transaction Currency Label\",\n          \"name\": \"customTransactionCurrency\",\n          \"role\": \"transactionCurrency\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Journal Id Label\",\n          \"name\": \"customJournalId\",\n          \"role\": \"journalId\",\n          \"source\": \"input\",\n          \"type\": \"uuid\"\n        },\n        {\n          \"label\": \"Custom Journal Line Id Label\",\n          \"name\": \"customJournalLineId\",\n          \"role\": \"lineId\",\n          \"source\": \"input\",\n          \"type\": \"uuid\"\n        },\n        {\n          \"label\": \"Custom Reverses Label\",\n          \"name\": \"customReverses\",\n          \"role\": \"reverses\",\n          \"source\": \"input\",\n          \"type\": \"uuid\"\n        },\n        {\n          \"label\": \"Custom Reversed by Label\",\n          \"name\": \"customReversedBy\",\n          \"role\": \"reversedBy\",\n          \"source\": \"input\",\n          \"type\": \"uuid\"\n        },\n        {\n          \"label\": \"Custom Journal Line No\",\n          \"name\": \"customJournalLineNo\",\n          \"role\": \"journalLineNo\",\n          \"source\": \"input\",\n          \"type\": \"integer\"\n        },\n        {\n          \"label\": \"Custom Ingestion Id Label\",\n          \"name\": \"customIngestionId\",\n          \"role\": \"ingestionId\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Origin Journal Id\",\n          \"name\": \"customOriginJournalId\",\n          \"role\": \"originJournalId\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Origin Journal Line Id\",\n          \"name\": \"customOriginJournalLineId\",\n          \"role\": \"originJournalLineId\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Subledger Node Label\",\n          \"name\": \"customSubledgerNodeName\",\n          \"role\": \"node\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        }\n      ],\n      \"primaryKeys\": [\n        \"customJournalId\",\n        \"customJournalLineId\"\n      ]\n    },\n    \"journalTypes\": [\n      {\n        \"behavior\": \"PERMANENT\",\n        \"code\": \"Test Permanent Journal Type\",\n        \"description\": \"Test Permanent Journal Type description\"\n      },\n      {\n        \"behavior\": \"REVERSING\",\n        \"code\": \"Test Reversal Journal Type\",\n        \"description\": \"Reversing Next day description\",\n        \"reversingDate\": \"NEXT_DAY\"\n      }\n    ],\n    \"nodeValues\": [\n      {\n        \"fieldName\": \"customSubledgerNodeName\",\n        \"values\": [\n          \"Custom Subledger Node Label element 1\",\n          \"Custom Subledger Node Label element 2\"\n        ]\n      }\n    ],\n    \"nodes\": [\n      {\n        \"fields\": {\n          \"customSubledgerNodeName\": \"Custom Subledger Node Label element 1\"\n        },\n        \"nodeConfigs\": [\n          {\n            \"accountingConfigName\": \"IFRS\",\n            \"graceDays\": 0,\n            \"graceHours\": 0,\n            \"overridePostingDate\": \"none\"\n          }\n        ],\n        \"timeZone\": \"Europe/Warsaw\"\n      }\n    ],\n    \"postingComponentIdentifications\": [\n      {\n        \"businessEventTypeName\": \"IRSTRADE\",\n        \"postingComponents\": [\n          {\n            \"postingComponentCode\": \"PLFEES\"\n          }\n        ]\n      },\n      {\n        \"businessEventTypeName\": \"IRSTRADE_REV\",\n        \"postingComponents\": [\n          {\n            \"postingComponentCode\": \"Reversing posting component name\"\n          }\n        ]\n      }\n    ],\n    \"postingComponents\": [\n      {\n        \"accountingConfigName\": \"IFRS\",\n        \"code\": \"PLFEES\",\n        \"description\": \"PLFEES description\",\n        \"journalType\": \"Test Permanent Journal Type\",\n        \"postingPatterns\": [\n          {\n            \"amountField\": \"transactionAmountName\",\n            \"amountSignage\": \"AUTO\",\n            \"currencyField\": \"transactionCurrencyName\",\n            \"debitCredit\": \"CR\",\n            \"postingCode\": \"test posting code CR\",\n            \"postingDateField\": \"effectiveDateName\"\n          },\n          {\n            \"amountField\": \"transactionAmountName\",\n            \"amountSignage\": \"AUTO\",\n            \"currencyField\": \"transactionCurrencyName\",\n            \"debitCredit\": \"DR\",\n            \"postingCode\": \"test posting code DR\",\n            \"postingDateField\": \"effectiveDateName\"\n          }\n        ]\n      },\n      {\n        \"accountingConfigName\": \"IFRS\",\n        \"code\": \"Reversing posting component name\",\n        \"description\": \"Reversing posting component description\",\n        \"journalType\": \"Test Reversal Journal Type\",\n        \"postingPatterns\": [\n          {\n            \"amountField\": \"transactionAmountName\",\n            \"amountSignage\": \"AUTO\",\n            \"currencyField\": \"transactionCurrencyName\",\n            \"debitCredit\": \"CR\",\n            \"postingCode\": \"test posting code CR\",\n            \"postingDateField\": \"effectiveDateName\"\n          },\n          {\n            \"amountField\": \"transactionAmountName\",\n            \"amountSignage\": \"AUTO\",\n            \"currencyField\": \"transactionCurrencyName\",\n            \"debitCredit\": \"DR\",\n            \"postingCode\": \"test posting code DR\",\n            \"postingDateField\": \"effectiveDateName\"\n          }\n        ]\n      }\n    ]\n  },\n  \"downloadTime\": {\n    \"nanos\": 1,\n    \"seconds\": 1\n  },\n  \"downloadedBy\": \"john.doe@aptitudesoftware.com\",\n  \"version\": \"v20230211\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

**`configuration_putBulk_example`**

```ruby configuration_putBulk_example
require 'uri'
require 'net/http'

url = URI("https://api.fynapse.com/api/v1/configuration/bulk")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"configuration\": {\n    \"accountLookups\": [\n      {\n        \"accountLookupPatterns\": [\n          {\n            \"account\": \"111\"\n          }\n        ],\n        \"postingCode\": \"test posting code CR\"\n      },\n      {\n        \"accountLookupPatterns\": [\n          {\n            \"account\": \"222\"\n          }\n        ],\n        \"postingCode\": \"test posting code DR\"\n      }\n    ],\n    \"accountingConfigurations\": [\n      {\n        \"businessCalendarName\": \"Test Business Calendar\",\n        \"description\": \"IFRS description\",\n        \"dimensionSetName\": \"Test Dimension Set\",\n        \"fiscalCalendarName\": \"Test Fiscal Calendar\",\n        \"name\": \"IFRS\"\n      }\n    ],\n    \"businessCalendars\": [\n      {\n        \"effectiveFrom\": \"1900-01-01\",\n        \"effectiveTo\": \"2099-12-31\",\n        \"name\": \"Test Business Calendar\",\n        \"status\": \"ACTIVE\"\n      }\n    ],\n    \"businessDateSettings\": {\n      \"businessDateShift\": 0\n    },\n    \"businessEventDefinition\": {\n      \"active\": true,\n      \"attributes\": [\n        {\n          \"label\": \"Event Type Label\",\n          \"name\": \"eventTypeName\",\n          \"role\": \"event_type\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Effective Date Label\",\n          \"name\": \"effectiveDateName\",\n          \"role\": \"effective_date\",\n          \"source\": \"input\",\n          \"type\": \"date\"\n        },\n        {\n          \"label\": \"Amount Type Label\",\n          \"name\": \"transactionAmountName\",\n          \"role\": \"attribute\",\n          \"source\": \"input\",\n          \"type\": \"decimal\"\n        },\n        {\n          \"label\": \"Currency Label\",\n          \"name\": \"transactionCurrencyName\",\n          \"role\": \"attribute\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Subledger Node Label\",\n          \"name\": \"customSubledgerNodeName\",\n          \"role\": \"node\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        }\n      ],\n      \"effectiveFrom\": \"2023-04-05\"\n    },\n    \"businessEventTypes\": [\n      {\n        \"description\": \"IRSTRADE description\",\n        \"name\": \"IRSTRADE\"\n      },\n      {\n        \"description\": \"IRSTRADE_REV description\",\n        \"name\": \"IRSTRADE_REV\"\n      }\n    ],\n    \"dimensionSets\": [\n      {\n        \"attributes\": [\n          \"customAccountingConfig\",\n          \"customAccount\",\n          \"customTransactionCurrency\",\n          \"customSubledgerNodeName\"\n        ],\n        \"description\": \"Test Dimension Set description\",\n        \"name\": \"Test Dimension Set\"\n      }\n    ],\n    \"entities\": [\n      {\n        \"attributes\": [\n          {\n            \"label\": \"Event Type Label\",\n            \"mandatory\": true,\n            \"name\": \"EventTypeName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"TEXT\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          },\n          {\n            \"label\": \"Effective Date Label\",\n            \"mandatory\": true,\n            \"name\": \"effectiveDateName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"DATE\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          },\n          {\n            \"label\": \"Amount Type Label\",\n            \"mandatory\": true,\n            \"name\": \"transactionAmountName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"DECIMAL\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          },\n          {\n            \"label\": \"Currency Label\",\n            \"mandatory\": true,\n            \"name\": \"transactionCurrencyName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"TEXT\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          },\n          {\n            \"label\": \"Custom Subledger Node Label\",\n            \"mandatory\": true,\n            \"name\": \"customSubledgerNodeName\",\n            \"source\": \"input\",\n            \"type\": {\n              \"primitive\": \"TEXT\",\n              \"typeName\": \"PrimitiveType\"\n            }\n          }\n        ],\n        \"description\": \"Transaction Entity For Flow\",\n        \"name\": \"TransactionEntityForFlow\",\n        \"namespace\": \"fynapse\",\n        \"temporalityType\": \"Transaction\",\n        \"type\": \"DefinedEntity\"\n      }\n    ],\n    \"featureFlags\": {\n      \"extracts-in-bulk\": false,\n      \"flow\": true,\n      \"flow-assistant\": true,\n      \"posting-date-override\": false\n    },\n    \"fiscalCalendars\": [\n      {\n        \"active\": true,\n        \"effectiveFrom\": \"2024-12-23\",\n        \"endOfFirstYear\": \"2019-12-31\",\n        \"name\": \"Test Fiscal Calendar\",\n        \"startYear\": 2019,\n        \"type\": \"gregorian\"\n      }\n    ],\n    \"flows\": [\n      {\n        \"graph\": {\n          \"edges\": {\n            \"6ace1605-e6dc-46e9-a237-32a334ce09d9\": [\n              \"1b2670bc-b718-4f4d-873c-92d535a479fd\"\n            ],\n            \"8e7789cc-03ef-4aa3-9c2d-6b5143b4727b\": [\n              \"6ace1605-e6dc-46e9-a237-32a334ce09d9\"\n            ],\n            \"8f62cb96-a738-4a2b-a427-83043837019a\": [\n              \"8e7789cc-03ef-4aa3-9c2d-6b5143b4727b\"\n            ]\n          },\n          \"nodes\": {\n            \"1b2670bc-b718-4f4d-873c-92d535a479fd\": {\n              \"x\": 915,\n              \"y\": 120,\n              \"step\": {\n                \"name\": \"JournalProcessor\",\n                \"type\": \"JournalProcessor\"\n              }\n            },\n            \"6ace1605-e6dc-46e9-a237-32a334ce09d9\": {\n              \"x\": 615,\n              \"y\": 120,\n              \"step\": {\n                \"mapping\": [\n                  {\n                    \"contextMapping\": true,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": []\n                    },\n                    \"target\": {\n                      \"path\": []\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": [\n                        \"EventTypeName\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"eventTypeName\"\n                      ]\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": [\n                        \"effectiveDateName\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"effectiveDateName\"\n                      ]\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": [\n                        \"transactionAmountName\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"transactionAmountName\"\n                      ]\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"SCRIPT\",\n                      \"path\": [\n                        \"CurrencyLabel\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"transactionCurrencyName\"\n                      ]\n                    }\n                  },\n                  {\n                    \"contextMapping\": false,\n                    \"source\": {\n                      \"group\": \"INPUT\",\n                      \"path\": [\n                        \"customSubledgerNodeName\"\n                      ]\n                    },\n                    \"target\": {\n                      \"path\": [\n                        \"customSubledgerNodeName\"\n                      ]\n                    }\n                  }\n                ],\n                \"name\": \"AccountingEngine\",\n                \"type\": \"AccountingEngine\"\n              }\n            },\n            \"8e7789cc-03ef-4aa3-9c2d-6b5143b4727b\": {\n              \"x\": 300,\n              \"y\": 120,\n              \"step\": {\n                \"name\": \"Script\",\n                \"outputDefinition\": [\n                  {\n                    \"name\": \"CurrencyLabel\",\n                    \"type\": {\n                      \"primitive\": \"TEXT\",\n                      \"type\": \"Primitive\"\n                    }\n                  }\n                ],\n                \"script\": \"from decimal import Decimal\\r\\ninput.transactionAmountName += Decimal('20.000')\\r\\ncurrencyLabel = \\\"PLN\\\"\\r\\npublish(\\\"CurrencyLabel\\\", currencyLabel)\",\n                \"type\": \"Script\"\n              }\n            },\n            \"8f62cb96-a738-4a2b-a427-83043837019a\": {\n              \"x\": 0,\n              \"y\": 120,\n              \"step\": {\n                \"name\": \"Input\",\n                \"source\": {\n                  \"name\": \"TransactionEntityForFlow\",\n                  \"namespace\": \"fynapse\"\n                },\n                \"type\": \"Input\"\n              }\n            }\n          }\n        },\n        \"name\": \"Flow\",\n        \"versionStatus\": \"Published\"\n      }\n    ],\n    \"journalDefinition\": {\n      \"active\": true,\n      \"effectiveFrom\": \"2023-04-05\",\n      \"fields\": [\n        {\n          \"label\": \"Custom Core Date Label\",\n          \"name\": \"customCoreDate\",\n          \"role\": \"coreDate\",\n          \"source\": \"input\",\n          \"type\": \"date\"\n        },\n        {\n          \"label\": \"Custom Journal Type Label\",\n          \"name\": \"customJournalType\",\n          \"role\": \"journalType\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Accounting Config Label\",\n          \"name\": \"customAccountingConfig\",\n          \"role\": \"accountingConfig\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Account Label\",\n          \"name\": \"customAccount\",\n          \"role\": \"account\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Transaction Amount Label\",\n          \"name\": \"customTransactionAmount\",\n          \"role\": \"transactionAmount\",\n          \"source\": \"input\",\n          \"type\": \"amount\"\n        },\n        {\n          \"label\": \"Custom Transaction Currency Label\",\n          \"name\": \"customTransactionCurrency\",\n          \"role\": \"transactionCurrency\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Journal Id Label\",\n          \"name\": \"customJournalId\",\n          \"role\": \"journalId\",\n          \"source\": \"input\",\n          \"type\": \"uuid\"\n        },\n        {\n          \"label\": \"Custom Journal Line Id Label\",\n          \"name\": \"customJournalLineId\",\n          \"role\": \"lineId\",\n          \"source\": \"input\",\n          \"type\": \"uuid\"\n        },\n        {\n          \"label\": \"Custom Reverses Label\",\n          \"name\": \"customReverses\",\n          \"role\": \"reverses\",\n          \"source\": \"input\",\n          \"type\": \"uuid\"\n        },\n        {\n          \"label\": \"Custom Reversed by Label\",\n          \"name\": \"customReversedBy\",\n          \"role\": \"reversedBy\",\n          \"source\": \"input\",\n          \"type\": \"uuid\"\n        },\n        {\n          \"label\": \"Custom Journal Line No\",\n          \"name\": \"customJournalLineNo\",\n          \"role\": \"journalLineNo\",\n          \"source\": \"input\",\n          \"type\": \"integer\"\n        },\n        {\n          \"label\": \"Custom Ingestion Id Label\",\n          \"name\": \"customIngestionId\",\n          \"role\": \"ingestionId\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Origin Journal Id\",\n          \"name\": \"customOriginJournalId\",\n          \"role\": \"originJournalId\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Origin Journal Line Id\",\n          \"name\": \"customOriginJournalLineId\",\n          \"role\": \"originJournalLineId\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        },\n        {\n          \"label\": \"Custom Subledger Node Label\",\n          \"name\": \"customSubledgerNodeName\",\n          \"role\": \"node\",\n          \"source\": \"input\",\n          \"type\": \"text\"\n        }\n      ],\n      \"primaryKeys\": [\n        \"customJournalId\",\n        \"customJournalLineId\"\n      ]\n    },\n    \"journalTypes\": [\n      {\n        \"behavior\": \"PERMANENT\",\n        \"code\": \"Test Permanent Journal Type\",\n        \"description\": \"Test Permanent Journal Type description\"\n      },\n      {\n        \"behavior\": \"REVERSING\",\n        \"code\": \"Test Reversal Journal Type\",\n        \"description\": \"Reversing Next day description\",\n        \"reversingDate\": \"NEXT_DAY\"\n      }\n    ],\n    \"nodeValues\": [\n      {\n        \"fieldName\": \"customSubledgerNodeName\",\n        \"values\": [\n          \"Custom Subledger Node Label element 1\",\n          \"Custom Subledger Node Label element 2\"\n        ]\n      }\n    ],\n    \"nodes\": [\n      {\n        \"fields\": {\n          \"customSubledgerNodeName\": \"Custom Subledger Node Label element 1\"\n        },\n        \"nodeConfigs\": [\n          {\n            \"accountingConfigName\": \"IFRS\",\n            \"graceDays\": 0,\n            \"graceHours\": 0,\n            \"overridePostingDate\": \"none\"\n          }\n        ],\n        \"timeZone\": \"Europe/Warsaw\"\n      }\n    ],\n    \"postingComponentIdentifications\": [\n      {\n        \"businessEventTypeName\": \"IRSTRADE\",\n        \"postingComponents\": [\n          {\n            \"postingComponentCode\": \"PLFEES\"\n          }\n        ]\n      },\n      {\n        \"businessEventTypeName\": \"IRSTRADE_REV\",\n        \"postingComponents\": [\n          {\n            \"postingComponentCode\": \"Reversing posting component name\"\n          }\n        ]\n      }\n    ],\n    \"postingComponents\": [\n      {\n        \"accountingConfigName\": \"IFRS\",\n        \"code\": \"PLFEES\",\n        \"description\": \"PLFEES description\",\n        \"journalType\": \"Test Permanent Journal Type\",\n        \"postingPatterns\": [\n          {\n            \"amountField\": \"transactionAmountName\",\n            \"amountSignage\": \"AUTO\",\n            \"currencyField\": \"transactionCurrencyName\",\n            \"debitCredit\": \"CR\",\n            \"postingCode\": \"test posting code CR\",\n            \"postingDateField\": \"effectiveDateName\"\n          },\n          {\n            \"amountField\": \"transactionAmountName\",\n            \"amountSignage\": \"AUTO\",\n            \"currencyField\": \"transactionCurrencyName\",\n            \"debitCredit\": \"DR\",\n            \"postingCode\": \"test posting code DR\",\n            \"postingDateField\": \"effectiveDateName\"\n          }\n        ]\n      },\n      {\n        \"accountingConfigName\": \"IFRS\",\n        \"code\": \"Reversing posting component name\",\n        \"description\": \"Reversing posting component description\",\n        \"journalType\": \"Test Reversal Journal Type\",\n        \"postingPatterns\": [\n          {\n            \"amountField\": \"transactionAmountName\",\n            \"amountSignage\": \"AUTO\",\n            \"currencyField\": \"transactionCurrencyName\",\n            \"debitCredit\": \"CR\",\n            \"postingCode\": \"test posting code CR\",\n            \"postingDateField\": \"effectiveDateName\"\n          },\n          {\n            \"amountField\": \"transactionAmountName\",\n            \"amountSignage\": \"AUTO\",\n            \"currencyField\": \"transactionCurrencyName\",\n            \"debitCredit\": \"DR\",\n            \"postingCode\": \"test posting code DR\",\n            \"postingDateField\": \"effectiveDateName\"\n          }\n        ]\n      }\n    ]\n  },\n  \"downloadTime\": {\n    \"nanos\": 1,\n    \"seconds\": 1\n  },\n  \"downloadedBy\": \"john.doe@aptitudesoftware.com\",\n  \"version\": \"v20230211\"\n}"

response = http.request(request)
puts response.read_body
```

**`configuration_putBulk_example`**

```java configuration_putBulk_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.fynapse.com/api/v1/configuration/bulk")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
[...]
